Name:           perl-Net-OpenSSH
Version:        0.57
Release:        6%{?dist}
Summary:        Perl SSH client package implemented on top of OpenSSH
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-OpenSSH/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-OpenSSH-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       openssh-clients

# Needed to stop the sample scripts pulling in more perl packages.
%{?perl_default_filter}

%description
Net::OpenSSH is a secure shell client package implemented on top of OpenSSH
binary client (ssh).

%prep
%setup -q -n Net-OpenSSH-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README sample
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.57-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Petr Pisar <ppisar@redhat.com> - 0.57-5
- Perl 5.16 rebuild

* Mon Jun 04 2012 Petr Pisar <ppisar@redhat.com> - 0.57-4
- Do not require specific architecture of openssh-clients

* Fri May 18 2012 Steve Traylen <steve.traylen@cern.ch> - 0.57-3
- Rebuild for bad _isa rpm macro.

* Fri Apr 27 2012 Steve Traylen <steve.traylen@cern.ch> 0.57-2
- Remove requires perl(Test::More) since only needed for tests. rhbz#813668
- Add requires openssh-clients
- Add sample files as docs


* Wed Apr 18 2012 Steve Traylen <steve.traylen@cern.ch> 0.57-1
- Specfile autogenerated by cpanspec 1.78.
